- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsMaterial Class Reference
[COLLADA Document Object Model.]

A COLLADA physics material. More...

`#include <FCDPhysicsMaterial.h>`

Inheritance diagram for FCDPhysicsMaterial:

List of all members.

## Public Member Functions
| FCDPhysicsMaterial (FCDocument *document)
| Constructor.
virtual | ~FCDPhysicsMaterial ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
float | GetStaticFriction () const
| Retrieves the static friction for this physics material.
void | SetStaticFriction (float _staticFriction)
| Sets the static friction for this physics material.
float | GetDynamicFriction () const
| Retrieves the dynamic friction for this physics material.
void | SetDynamicFriction (float _dynamicFriction)
| Sets the dynamic friction for this physics material.
float | GetRestitution () const
| Retrieves the restitution for this physics material.
void | SetRestitution (float _restitution)
| Sets the restitution for this physics material.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the physics material into a clone.

## Detailed Description

A COLLADA physics material.

A physics material contains physical properties for an object. Because there isn't anything interesting in the physics material instance, this class is used to represent that as well.

## Constructor & Destructor Documentation

FCDPhysicsMaterial::FCDPhysicsMaterial | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The COLLADA document that contains this rigid body.

## Member Function Documentation

virtual FCDEntity* FCDPhysicsMaterial::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the physics material into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new physics material will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

float FCDPhysicsMaterial::GetDynamicFriction | ( |  | ) | const`[inline]`

| Retrieves the dynamic friction for this physics material. Returns: The dynamic friction.

float FCDPhysicsMaterial::GetRestitution | ( |  | ) | const`[inline]`

| Retrieves the restitution for this physics material. Returns: The restitution.

float FCDPhysicsMaterial::GetStaticFriction | ( |  | ) | const`[inline]`

| Retrieves the static friction for this physics material. Returns: The static friction.

virtual Type FCDPhysicsMaterial::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity interface. Returns: The entity type: PHYSICS_MATERIAL. Reimplemented from FCDEntity.

void FCDPhysicsMaterial::SetDynamicFriction | ( | float | _dynamicFriction | ) | `[inline]`

  | Sets the dynamic friction for this physics material. Parameters:
  | _dynamicFriction | The dynamic friction.

void FCDPhysicsMaterial::SetRestitution | ( | float | _restitution | ) | `[inline]`

  | Sets the restitution for this physics material. Parameters:
  | _restitution | The restitution.

void FCDPhysicsMaterial::SetStaticFriction | ( | float | _staticFriction | ) | `[inline]`

  | Sets the static friction for this physics material. Parameters:
  | _staticFriction | The static friction.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsMaterial.h